

#include<stdio.h>
#include<unistd.h>
#include<netinet/in_systm.h>
#include<netinet/in.h>
#include<string.h>
#include<stdlib.h>
#include<pthread.h>

#include"zither.h"

extern global_data_t gd;




int malloc_free(void)
{
int count;

free(gd.db_select);
free(gd.on_bcc);
free(gd.pg.postgres_data);
free(gd.pg.pg_webserver);
free(gd.mysql.mysql_server);
free(gd.mysql.mysql_username);
free(gd.mysql.mysql_password);
free(gd.mysql.mysql_db);

free(gd.ms.ip_addr);
free(gd.ms.chport);

free(gd.fp.lock_path);
free(gd.fp.clock_path);
free(gd.fp.file_conf);
free(gd.fp.errlog);
free(gd.fp.connectlog);

free(gd.md.ch_MailFrom);
free(gd.md.ch_MailRcptTo);
free(gd.md.ch_MailServ);
free(gd.md.ch_MailCc);

#ifdef SIGNATURE_MODE
/* Mail Signature */
free(gd.sig.sig_stat);
free(gd.sig.sig_filename);

for(count = 0; count <= (SIG_MAXLEN + 2); count++){
   free(gd.sig.sig_data[count]);
   }
free(gd.sig.sig_data);
#endif

free(gd.fi.midump_filename);
free(gd.fi.midump_filename_2);

free(gd.td.middle_id);
for(count = 0; count <= gd.td.midcount; count++){
   free(gd.td.middle_name[count]);
   }

free(gd.td.middle_name);

return 0;
}





